Skip to main content
GET
Retrieve a user

Path Parameters

id
string
required

The unique user identifier, generated when the user was created.

Query Parameters

fields
string

Specify which properties to include in the response.

Response

Request successful

id
string
read-only

A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.

Example:

"674d0bf5c28b69001f8e03a1"

created_at
string<date-time>
read-only

The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

updated_at
string<date-time>
read-only

The date and time the resource was last updated.

Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

user_name
string

The user name for account login purposes. User names cannot contain spaces.

Example:

"john_doe"

email
string<email>

The email address for the user account.

Example:

"johndoe@gmail.com"

password
string

Passwords must be at least eight characters long and contain at least one uppercase letter, one lowercase letter, one digit, and one special character (@, $, !, %, *, ?, &).

Example:

"P@ssw0rd!"

role
enum<string>

The role assigned to a user account. A user's role will determine the level of access available for protected endpoints.

Available options:
patron,
expeditor,
chef,
manager
Example:

"manager"